Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001267 [1003.1(2016)/Issue7+TC2] Shell and Utilities Comment Error 2019-07-03 15:24 2019-08-01 16:10
Reporter dennisw View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Resolved  
Name Dennis Wölfing
Organization
User Reference
Section sh
Page Number 3228
Line Number 108396-108397
Interp Status ---
Final Accepted Text Note: 0004471
Summary 0001267: sh HOME should not be UP shaded
Description HOME is UP shaded in the ENVIRONMENT VARIABLES section of the sh utility.
However XCU 2.6.1 clearly states that HOME is always used by the shell for tilde expansion without a login name, not just on systems that implement the UP option.
Desired Action On page 3228 lines 108396-108397 section sh, remove UP shading from:
HOME
Determine the pathname of the user’s home directory. The contents of HOME are
used in tilde expansion as described in [xref to XCU 2.6.1].
Tags tc3-2008
Attached Files

- Relationships

-  Notes
(0004470)
shware_systems (reporter)
2019-07-03 16:22

I believe it is UP shaded because embedded systems may not maintain a getpwnam() file, and take advantage of the unspecified behavior allowance of HOME being unset to replace the tilde with an arbitrary absolute path constant. Systems conforming to the UP option are required to maintain that file, I believe, so a valid value for HOME is always plausible and shouldn't be unset, or even a null string.
(0004471)
geoffclare (manager)
2019-07-04 08:10

Looking at the history, it seems that this was an editorial mistake when merging POSIX.2-1992 into SUSv2 to make POSIX.1-2001/SUSv3. The text "This volume of IEEE Std 1003.1-2001 specifies the effects of this variable only for systems supporting the User Portability Utilities option" was added to FCEDIT, HISTFILE and HOME but should have been added to FCEDIT, HISTFILE and HISTSIZE (to match POSIX.2-1992).

The fix should be to remove UP shading from HOME and add it to HISTSIZE.
(0004472)
shware_systems (reporter)
2019-07-04 14:15

Perhaps, but I think my analysis has some validity too, in that its presence is optional, so if the shading is removed it may desirable to add text accenting that aspect, e.g. Change last sentence to:

The contents of HOME, when it is set and is a non-null value, are
used in tilde expansion as described in [xref to XCU 2.6.1].

- Issue History
Date Modified Username Field Change
2019-07-03 15:24 dennisw New Issue
2019-07-03 15:24 dennisw Name => Dennis Wölfing
2019-07-03 15:24 dennisw Section => sh
2019-07-03 15:24 dennisw Page Number => 3228
2019-07-03 15:24 dennisw Line Number => 108396-108397
2019-07-03 16:22 shware_systems Note Added: 0004470
2019-07-04 08:10 geoffclare Note Added: 0004471
2019-07-04 14:15 shware_systems Note Added: 0004472
2019-08-01 16:10 geoffclare Interp Status => ---
2019-08-01 16:10 geoffclare Final Accepted Text => Note: 0004471
2019-08-01 16:10 geoffclare Status New => Resolved
2019-08-01 16:10 geoffclare Resolution Open => Accepted As Marked
2019-08-01 16:11 geoffclare Tag Attached: tc3-2008


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker